<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateOrdersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: orders
         */
        Schema::create('orders', function ($table) {
            $table->increments('id');
            $table->bigInteger('user_id')->nullable();
            $table->decimal('price', 20,15)->nullable();
            $table->decimal('amount', 20,15)->nullable();
            $table->increments('total')->nullable();
            $table->increments('fee')->nullable();
            $table->enum('order_type', ['buy','sell'])->nullable();
            $table->enum('blockchain', ['ETH','BTC'])->nullable();
            $table->dateTime('trans_datetime')->nullable();
            $table->enum('status', ['pending','completed'])->nullable();
            $table->string('trans_id', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('orders');
    }
}
