<?php

namespace Litecms\Order\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OrderTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Order\Models\Order $order)
    {
        return [
            'id'                => $order->getRouteKey(),
            'key'               => [
                'public'    => $order->getPublicKey(),
                'route'     => $order->getRouteKey(),
            ], 
            'user_id'           => $order->user_id,
            'price'             => $order->price,
            'amount'            => $order->amount,
            'total'             => $order->total,
            'fee'               => $order->fee,
            'order_type'        => $order->order_type,
            'blockchain'        => $order->blockchain,
            'trans_datetime'    => $order->trans_datetime,
            'status'            => $order->status,
            'trans_id'          => $order->trans_id,
            'url'               => [
                'public'    => trans_url('order/'.$order->getPublicKey()),
                'user'      => guard_url('order/order/'.$order->getRouteKey()),
            ], 
            'status'            => trans('app.'.$order->status),
            'created_at'        => format_date($order->created_at),
            'updated_at'        => format_date($order->updated_at),
        ];
    }
}